aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-09-27 14:19:28 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-09-27 14:22:26 +0000
commit1751d6595597f1d9101cac04e54f20d95790f4f4 (patch)
treee895c3aa71985691256eca03cf4f7cdfeb0d966b /main
parentee152f9e0dce8017d033e01e018f1482d27e7e1d (diff)
downloadaports-1751d6595597f1d9101cac04e54f20d95790f4f4.tar.gz
aports-1751d6595597f1d9101cac04e54f20d95790f4f4.tar.bz2
aports-1751d6595597f1d9101cac04e54f20d95790f4f4.tar.xz
main/[various]: fix build against musl (add update_config_sub)
Diffstat (limited to 'main')
-rw-r--r--main/apcupsd/APKBUILD2
-rw-r--r--main/arpwatch/APKBUILD2
-rw-r--r--main/atk/APKBUILD11
-rw-r--r--main/beecrypt/APKBUILD2
-rw-r--r--main/cairo/APKBUILD6
-rw-r--r--main/clamav/APKBUILD5
-rw-r--r--main/compositeproto/APKBUILD9
-rw-r--r--main/consolekit/APKBUILD1
-rw-r--r--main/damageproto/APKBUILD9
-rw-r--r--main/db/APKBUILD8
-rw-r--r--main/dbus-glib/APKBUILD9
-rw-r--r--main/eggdbus/APKBUILD2
-rw-r--r--main/fixesproto/APKBUILD9
-rw-r--r--main/gconf/APKBUILD1
-rw-r--r--main/gettext/APKBUILD9
-rw-r--r--main/glib/APKBUILD1
-rw-r--r--main/gnome-doc-utils/APKBUILD2
-rw-r--r--main/gnome-mime-data/APKBUILD1
-rw-r--r--main/groff/APKBUILD4
-rw-r--r--main/gstreamer/APKBUILD2
-rw-r--r--main/gtk-doc/APKBUILD9
-rw-r--r--main/harfbuzz/APKBUILD1
-rw-r--r--main/hypermail/APKBUILD2
-rw-r--r--main/iftop/APKBUILD2
-rw-r--r--main/inputproto/APKBUILD9
-rw-r--r--main/iptables/APKBUILD1
-rw-r--r--main/jasper/APKBUILD2
-rw-r--r--main/kbproto/APKBUILD9
-rw-r--r--main/lcms/APKBUILD2
-rw-r--r--main/libconfig/APKBUILD2
-rw-r--r--main/libcue/APKBUILD2
-rw-r--r--main/libev/APKBUILD1
-rw-r--r--main/libice/APKBUILD13
-rw-r--r--main/libidl/APKBUILD1
-rw-r--r--main/libjpeg-turbo/APKBUILD1
-rw-r--r--main/libmcrypt/APKBUILD2
-rw-r--r--main/libnl3/APKBUILD1
-rw-r--r--main/libogg/APKBUILD9
-rw-r--r--main/liboil/APKBUILD12
-rw-r--r--main/libpaper/APKBUILD9
-rw-r--r--main/libpri/APKBUILD6
-rw-r--r--main/libpthread-stubs/APKBUILD9
-rw-r--r--main/libtasn1/APKBUILD6
-rw-r--r--main/libvorbis/APKBUILD12
-rw-r--r--main/libxcomposite/APKBUILD8
-rw-r--r--main/libxdamage/APKBUILD11
-rw-r--r--main/libxdmcp/APKBUILD9
-rw-r--r--main/libxft/APKBUILD9
-rw-r--r--main/libxkbui/APKBUILD2
-rw-r--r--main/libxslt/APKBUILD1
-rw-r--r--main/lzo/APKBUILD10
-rw-r--r--main/mtools/APKBUILD10
-rw-r--r--main/nettle/APKBUILD1
-rw-r--r--main/openntpd/APKBUILD2
-rw-r--r--main/openvpn-auth-ldap/APKBUILD2
-rw-r--r--main/orbit2/APKBUILD1
-rw-r--r--main/pixman/APKBUILD9
-rw-r--r--main/polkit/APKBUILD1
-rw-r--r--main/poppler/APKBUILD9
-rw-r--r--main/psqlodbc/APKBUILD2
-rw-r--r--main/randrproto/APKBUILD11
-rw-r--r--main/rarian/APKBUILD12
-rw-r--r--main/rdesktop/APKBUILD2
-rw-r--r--main/renderproto/APKBUILD15
-rw-r--r--main/slang/APKBUILD1
-rw-r--r--main/spandsp/APKBUILD5
-rw-r--r--main/speex/APKBUILD1
-rw-r--r--main/squid/APKBUILD2
-rw-r--r--main/strace/APKBUILD6
-rw-r--r--main/strace/strace-musl.patch2
-rw-r--r--main/sysfsutils/APKBUILD2
-rw-r--r--main/tiff/APKBUILD2
-rw-r--r--main/umix/APKBUILD2
-rw-r--r--main/unixodbc/APKBUILD5
-rw-r--r--main/userspace-rcu/APKBUILD1
-rw-r--r--main/wget/APKBUILD9
-rw-r--r--main/xbitmaps/APKBUILD9
-rw-r--r--main/xcb-util/APKBUILD9
-rw-r--r--main/xextproto/APKBUILD9
-rw-r--r--main/xproto/APKBUILD5
-rw-r--r--main/xset/APKBUILD9
-rw-r--r--main/xsetroot/APKBUILD9
-rw-r--r--main/xtrans/APKBUILD9
-rw-r--r--main/yaml/APKBUILD1
-rw-r--r--main/yasm/APKBUILD2
85 files changed, 371 insertions, 74 deletions
diff --git a/main/apcupsd/APKBUILD b/main/apcupsd/APKBUILD
index 7eb511ca7f..ee4e18589a 100644
--- a/main/apcupsd/APKBUILD
+++ b/main/apcupsd/APKBUILD
@@ -17,7 +17,7 @@ source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
_builddir="$srcdir/$pkgname-$pkgver"
prepare() {
cd "$_builddir"
- update_config_sub
+ update_config_sub || return 1
}
build() {
diff --git a/main/arpwatch/APKBUILD b/main/arpwatch/APKBUILD
index f036a1b96b..212ec82f15 100644
--- a/main/arpwatch/APKBUILD
+++ b/main/arpwatch/APKBUILD
@@ -48,7 +48,7 @@ prepare() {
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
esac
done
- update_config_sub
+ update_config_sub || return 1
}
build() {
diff --git a/main/atk/APKBUILD b/main/atk/APKBUILD
index 909d979510..dcb44184d8 100644
--- a/main/atk/APKBUILD
+++ b/main/atk/APKBUILD
@@ -8,12 +8,19 @@ arch="all"
license="LGPL"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
depends=
+depends_dev="glib-dev"
makedepends="glib-dev gobject-introspection-dev"
source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/${pkgver%.*}/$pkgname-$pkgver.tar.xz"
-depends_dev="glib-dev"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/beecrypt/APKBUILD b/main/beecrypt/APKBUILD
index 8881612ce0..3cab1ebc42 100644
--- a/main/beecrypt/APKBUILD
+++ b/main/beecrypt/APKBUILD
@@ -21,7 +21,7 @@ prepare() {
msg "Applying $i..."
patch -p1 < $i || return 1
done
- update_config_sub
+ update_config_sub || return 1
}
build() {
diff --git a/main/cairo/APKBUILD b/main/cairo/APKBUILD
index e80bfa43d1..9f424f8976 100644
--- a/main/cairo/APKBUILD
+++ b/main/cairo/APKBUILD
@@ -14,6 +14,12 @@ subpackages="$pkgname-dev $pkgname-doc $pkgname-gobject $pkgname-tools"
source="http://cairographics.org/releases/$pkgname-$pkgver.tar.xz"
_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
cd "$_builddir"
./configure \
diff --git a/main/clamav/APKBUILD b/main/clamav/APKBUILD
index 529a9b73a5..5b59a2a716 100644
--- a/main/clamav/APKBUILD
+++ b/main/clamav/APKBUILD
@@ -26,6 +26,11 @@ source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
cd "$_builddir"
./configure \
diff --git a/main/compositeproto/APKBUILD b/main/compositeproto/APKBUILD
index 5231d31ee1..4dcd16e544 100644
--- a/main/compositeproto/APKBUILD
+++ b/main/compositeproto/APKBUILD
@@ -10,8 +10,15 @@ depends="fixesproto"
makedepends=""
source="http://xorg.freedesktop.org/releases/individual/proto/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/consolekit/APKBUILD b/main/consolekit/APKBUILD
index 91b4cfaf8f..7ba38e87a3 100644
--- a/main/consolekit/APKBUILD
+++ b/main/consolekit/APKBUILD
@@ -20,6 +20,7 @@ _builddir="$srcdir"/ConsoleKit-$pkgver
prepare() {
cd "$_builddir"
+ update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
diff --git a/main/damageproto/APKBUILD b/main/damageproto/APKBUILD
index 0a40fbdadc..d110844240 100644
--- a/main/damageproto/APKBUILD
+++ b/main/damageproto/APKBUILD
@@ -10,8 +10,15 @@ depends=""
makedepends=""
source="http://xorg.freedesktop.org/releases/individual/proto/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/db/APKBUILD b/main/db/APKBUILD
index d1c333e854..725aff033b 100644
--- a/main/db/APKBUILD
+++ b/main/db/APKBUILD
@@ -15,8 +15,14 @@ subpackages="$pkgname-dev $pkgname-doc $pkgname-utils $pkgname-c++:cxx"
source="http://download.oracle.com/berkeley-db/db-$pkgver.tar.gz
"
+_builddir="$srcdir/db-$_ver"
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build () {
- cd "$srcdir"/db-$_ver
+ cd "$_builddir"
for i in ../patch.*; do
[ -r "$i" ] || continue
msg "Applying $i..."
diff --git a/main/dbus-glib/APKBUILD b/main/dbus-glib/APKBUILD
index cdfdd71a1e..05fcc943cf 100644
--- a/main/dbus-glib/APKBUILD
+++ b/main/dbus-glib/APKBUILD
@@ -12,8 +12,15 @@ makedepends="pkgconfig dbus-dev glib-dev libiconv-dev gettext-dev expat-dev"
source="http://dbus.freedesktop.org/releases/$pkgname/$pkgname-$pkgver.tar.gz"
depends_dev="glib-dev dbus-dev"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/eggdbus/APKBUILD b/main/eggdbus/APKBUILD
index 25cb513260..6ffb866b01 100644
--- a/main/eggdbus/APKBUILD
+++ b/main/eggdbus/APKBUILD
@@ -17,7 +17,7 @@ _builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
- # apply patches here
+ update_config_sub || return 1
}
build() {
diff --git a/main/fixesproto/APKBUILD b/main/fixesproto/APKBUILD
index 65ccb38492..322d2bd86f 100644
--- a/main/fixesproto/APKBUILD
+++ b/main/fixesproto/APKBUILD
@@ -10,8 +10,15 @@ depends="xextproto"
makedepends=""
source="http://xorg.freedesktop.org/releases/individual/proto/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/gconf/APKBUILD b/main/gconf/APKBUILD
index 77b8fe0b72..a1780a978c 100644
--- a/main/gconf/APKBUILD
+++ b/main/gconf/APKBUILD
@@ -21,6 +21,7 @@ _builddir="${srcdir}/GConf-${pkgver}"
prepare() {
local i
cd "$_builddir"
+ update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
diff --git a/main/gettext/APKBUILD b/main/gettext/APKBUILD
index d1ae2925e1..e0fb5df5f2 100644
--- a/main/gettext/APKBUILD
+++ b/main/gettext/APKBUILD
@@ -32,9 +32,6 @@ prepare() {
build() {
cd "$_builddir"
- # http://bugs.gentoo.org/show_bug.cgi?id=81628
- export CPPFLAGS="$CPPFLAGS -I/usr/include/libxml2"
-
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -56,10 +53,16 @@ package() {
libintl() {
replaces="gettext"
mkdir -p "$subpkgdir"/usr/lib
+
+ rm -rf "$pkgdir"/usr/lib/charset.alias
+ rmdir -p "$pkgdir"/usr/lib 2>/dev/null
+
if [ "$ALPINE_LIBC" != "eglibc" ]; then
mv "$pkgdir"/usr/lib/libintl.so.* \
"$subpkgdir"/usr/lib || return 1
fi
+
+ return 0
}
md5sums="3fc808f7d25487fc72b5759df7419e02 gettext-0.18.3.1.tar.gz"
diff --git a/main/glib/APKBUILD b/main/glib/APKBUILD
index 2f8b9aa79a..4ba608030c 100644
--- a/main/glib/APKBUILD
+++ b/main/glib/APKBUILD
@@ -37,6 +37,7 @@ build() {
--prefix=/usr \
--mandir=/usr/share/man \
--disable-gtk-doc \
+ --disable-compile-warnings \
|| return 1
make || return 1
}
diff --git a/main/gnome-doc-utils/APKBUILD b/main/gnome-doc-utils/APKBUILD
index c18984186d..5be9eb44ca 100644
--- a/main/gnome-doc-utils/APKBUILD
+++ b/main/gnome-doc-utils/APKBUILD
@@ -13,8 +13,10 @@ subpackages="$pkgname-lang"
source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/${pkgver%.*}/$pkgname-$pkgver.tar.xz"
_builddir="$srcdir"/$pkgname-$pkgver
+
prepare() {
cd "$_builddir"
+ update_config_sub || return 1
}
build() {
diff --git a/main/gnome-mime-data/APKBUILD b/main/gnome-mime-data/APKBUILD
index 5988e4c00d..c8a2ed462d 100644
--- a/main/gnome-mime-data/APKBUILD
+++ b/main/gnome-mime-data/APKBUILD
@@ -18,6 +18,7 @@ _builddir="${srcdir}/${pkgname}-${pkgver}"
prepare() {
local i
cd "$_builddir"
+ update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
diff --git a/main/groff/APKBUILD b/main/groff/APKBUILD
index 3b7d7a6d0d..230676f03d 100644
--- a/main/groff/APKBUILD
+++ b/main/groff/APKBUILD
@@ -25,7 +25,11 @@ build () {
package() {
cd "$srcdir/$pkgname-$pkgver"
make DESTDIR="$pkgdir" install
+ rm -rf "$pkgdir"/usr/lib/charset.alias
+ rmdir -p "$pkgdir"/usr/lib 2>/dev/null
+ return 0
}
+
md5sums="9f4cd592a5efc7e36481d8d8d8af6d16 groff-1.22.2.tar.gz"
sha256sums="380864dac4772e0c0d7b1282d25d0c5fd7f63baf45c87c4657afed22a13d2076 groff-1.22.2.tar.gz"
sha512sums="ea34db53f075b6816827b07ac3d6a19ed50529c939044337eb3124575ac3b41363e1d81bbd5bf552a7a10f6b1dd233d6e7acaf646e18cfe94464c59dc20ffe80 groff-1.22.2.tar.gz"
diff --git a/main/gstreamer/APKBUILD b/main/gstreamer/APKBUILD
index 63ccac79c6..e87a85314e 100644
--- a/main/gstreamer/APKBUILD
+++ b/main/gstreamer/APKBUILD
@@ -18,6 +18,8 @@ depends_dev="glib-dev libxml2-dev"
_builddir="$srcdir"/gstreamer-$pkgver
prepare() {
cd "$_builddir"
+ update_config_sub || return 1
+
# fix building with gnu make 3.82
find -name Makefile.in | xargs sed -i -e "s/^ /\t/" || return 1
diff --git a/main/gtk-doc/APKBUILD b/main/gtk-doc/APKBUILD
index 1c70f5b7e7..34ede062c2 100644
--- a/main/gtk-doc/APKBUILD
+++ b/main/gtk-doc/APKBUILD
@@ -10,8 +10,15 @@ depends="docbook-xsl gnome-doc-utils perl pkgconfig python"
makedepends="rarian-dev py-libxml2 gettext itstool"
source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/$pkgver/$pkgname-$pkgver.tar.xz"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/harfbuzz/APKBUILD b/main/harfbuzz/APKBUILD
index 358ca8735f..6c1e3fef4f 100644
--- a/main/harfbuzz/APKBUILD
+++ b/main/harfbuzz/APKBUILD
@@ -17,6 +17,7 @@ _builddir="$srcdir"/harfbuzz-$pkgver
prepare() {
local i
cd "$_builddir"
+ update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
diff --git a/main/hypermail/APKBUILD b/main/hypermail/APKBUILD
index 07a16cde2d..60af1637e1 100644
--- a/main/hypermail/APKBUILD
+++ b/main/hypermail/APKBUILD
@@ -17,7 +17,7 @@ source="http://www.hypermail-project.org/$pkgname-$pkgver.tar.gz
_builddir="$srcdir"/hypermail
prepare() {
cd "$_builddir"
- update_config_sub
+ update_config_sub || return 1
}
build() {
diff --git a/main/iftop/APKBUILD b/main/iftop/APKBUILD
index 4d5aca4300..32af2929fb 100644
--- a/main/iftop/APKBUILD
+++ b/main/iftop/APKBUILD
@@ -14,7 +14,7 @@ source="http://www.ex-parrot.com/~pdw/$pkgname/download/$pkgname-$pkgver.tar.gz"
_builddir="$srcdir"/iftop-$pkgver
prepare() {
cd "$_builddir"
- update_config_sub
+ update_config_sub || return 1
}
build() {
diff --git a/main/inputproto/APKBUILD b/main/inputproto/APKBUILD
index 356919f386..52e6dad756 100644
--- a/main/inputproto/APKBUILD
+++ b/main/inputproto/APKBUILD
@@ -8,8 +8,15 @@ arch="noarch"
license="custom"
source="http://xorg.freedesktop.org/releases/individual/proto/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/iptables/APKBUILD b/main/iptables/APKBUILD
index 600f6cade8..ba531c0792 100644
--- a/main/iptables/APKBUILD
+++ b/main/iptables/APKBUILD
@@ -18,6 +18,7 @@ subpackages="ip6tables $pkgname-doc $pkgname-dev"
prepare() {
cd "$srcdir/$pkgname-$pkgver"
+ update_config_sub || return 1
local i
for i in $source; do
case $i in
diff --git a/main/jasper/APKBUILD b/main/jasper/APKBUILD
index 3eb1164bf1..c2b878d8df 100644
--- a/main/jasper/APKBUILD
+++ b/main/jasper/APKBUILD
@@ -25,7 +25,7 @@ prepare() {
*.patch) msg $i; patch -Np1 -i "$srcdir"/$i || return 1;;
esac
done
- update_config_sub
+ update_config_sub || return 1
chmod +x configure
}
diff --git a/main/kbproto/APKBUILD b/main/kbproto/APKBUILD
index c12289b127..2062703df7 100644
--- a/main/kbproto/APKBUILD
+++ b/main/kbproto/APKBUILD
@@ -10,8 +10,15 @@ depends=""
makedepends=""
source="http://xorg.freedesktop.org/releases/individual/proto/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/lcms/APKBUILD b/main/lcms/APKBUILD
index 222b818597..72e5a91800 100644
--- a/main/lcms/APKBUILD
+++ b/main/lcms/APKBUILD
@@ -14,7 +14,9 @@ source="http://downloads.sourceforge.net/project/lcms/lcms/$pkgver/lcms-$pkgver.
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
+ local i
cd "$_builddir"
+ update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
diff --git a/main/libconfig/APKBUILD b/main/libconfig/APKBUILD
index a2457ccd2f..507f23a437 100644
--- a/main/libconfig/APKBUILD
+++ b/main/libconfig/APKBUILD
@@ -14,7 +14,7 @@ subpackages="$pkgname-doc $pkgname-dev"
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
- update_config_sub
+ update_config_sub || return 1
}
build() {
diff --git a/main/libcue/APKBUILD b/main/libcue/APKBUILD
index 3574eca03d..fe22242e4c 100644
--- a/main/libcue/APKBUILD
+++ b/main/libcue/APKBUILD
@@ -16,7 +16,7 @@ source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2"
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
- update_config_sub
+ update_config_sub || return 1
}
build() {
diff --git a/main/libev/APKBUILD b/main/libev/APKBUILD
index 7b7855b069..cf14492447 100644
--- a/main/libev/APKBUILD
+++ b/main/libev/APKBUILD
@@ -26,6 +26,7 @@ prepare() {
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
esac
done
+ update_config_sub || return 1
libtoolize --force && aclocal && autoconf && autoheader \
&& automake --add-missing
}
diff --git a/main/libice/APKBUILD b/main/libice/APKBUILD
index 50023319de..1ae34ce073 100644
--- a/main/libice/APKBUILD
+++ b/main/libice/APKBUILD
@@ -7,13 +7,20 @@ url="http://xorg.freedesktop.org/"
arch="all"
license="custom"
depends=
+depends_dev="xproto"
makedepends="pkgconfig xproto xtrans"
subpackages="$pkgname-dev"
source="http://xorg.freedesktop.org/releases/individual/lib/libICE-$pkgver.tar.bz2"
-depends_dev="xproto"
-build () {
- cd "$srcdir"/libICE-$pkgver
+_builddir="$srcdir/libICE-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
+build() {
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/libidl/APKBUILD b/main/libidl/APKBUILD
index 714c105e12..c3e4cd3df0 100644
--- a/main/libidl/APKBUILD
+++ b/main/libidl/APKBUILD
@@ -18,6 +18,7 @@ _builddir="$srcdir"/libIDL-$pkgver
prepare() {
cd "$_builddir"
+ update_config_sub || return 1
}
build() {
diff --git a/main/libjpeg-turbo/APKBUILD b/main/libjpeg-turbo/APKBUILD
index 6b339ca416..bcca311bda 100644
--- a/main/libjpeg-turbo/APKBUILD
+++ b/main/libjpeg-turbo/APKBUILD
@@ -19,6 +19,7 @@ _builddir="$srcdir"/libjpeg-turbo-$pkgver
prepare() {
local i
cd "$_builddir"
+ update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
diff --git a/main/libmcrypt/APKBUILD b/main/libmcrypt/APKBUILD
index ad533a83d0..43cce093d0 100644
--- a/main/libmcrypt/APKBUILD
+++ b/main/libmcrypt/APKBUILD
@@ -14,7 +14,7 @@ source="http://downloads.sourceforge.net/mcrypt/${pkgname}-${pkgver}.tar.bz2"
prepare() {
cd "$srcdir/$pkgname-$pkgver"
- update_config_sub
+ update_config_sub || return 1
}
build() {
diff --git a/main/libnl3/APKBUILD b/main/libnl3/APKBUILD
index f9489a6b87..38310c743f 100644
--- a/main/libnl3/APKBUILD
+++ b/main/libnl3/APKBUILD
@@ -16,6 +16,7 @@ _builddir="$srcdir"/libnl-$pkgver
prepare () {
cd "$_builddir"
+ update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -s -p1 -i "$srcdir"/$i || return 1;;
diff --git a/main/libogg/APKBUILD b/main/libogg/APKBUILD
index 6182643aa3..ffdbf4dbbd 100644
--- a/main/libogg/APKBUILD
+++ b/main/libogg/APKBUILD
@@ -12,8 +12,15 @@ subpackages="$pkgname-doc $pkgname-dev"
source="http://downloads.xiph.org/releases/ogg/$pkgname-$pkgver.tar.gz
"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir/$pkgname-$pkgver"
+ cd "$_builddir"
./configure \
--build=$CBUILD \
diff --git a/main/liboil/APKBUILD b/main/liboil/APKBUILD
index 1ea58325ae..ffbda71a31 100644
--- a/main/liboil/APKBUILD
+++ b/main/liboil/APKBUILD
@@ -10,10 +10,16 @@ subpackages="$pkgname-dev $pkgname-doc"
depends=
source="http://$pkgname.freedesktop.org/download/$pkgname-$pkgver.tar.gz"
-build ()
-{
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
+build() {
unset CFLAGS
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/libpaper/APKBUILD b/main/libpaper/APKBUILD
index 51364d250b..f3aaea08c3 100644
--- a/main/libpaper/APKBUILD
+++ b/main/libpaper/APKBUILD
@@ -12,8 +12,13 @@ makedepends=""
source="http://ftp.debian.org/debian/pool/main/libp/libpaper/libpaper_${pkgver}.tar.gz"
_builddir="$srcdir"/$pkgname-$pkgver
-build ()
-{
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
+build() {
cd "$_builddir"
./configure \
--build=$CBUILD \
diff --git a/main/libpri/APKBUILD b/main/libpri/APKBUILD
index 33c8ae926c..e7ef3d9032 100644
--- a/main/libpri/APKBUILD
+++ b/main/libpri/APKBUILD
@@ -16,6 +16,12 @@ source="http://downloads.digium.com/pub/telephony/libpri/releases/$pkgname-$_pkg
_builddir="$srcdir/$pkgname-$_pkgver"
+prepare() {
+ cd "$_builddir"
+ sed -i -e 's,^#include <sys/signal.h>$,#include <signal.h>,g' \
+ pritest.c testprilib.c
+}
+
build() {
cd "$_builddir"
for i in $source; do
diff --git a/main/libpthread-stubs/APKBUILD b/main/libpthread-stubs/APKBUILD
index 30a2d9159c..1c6c100216 100644
--- a/main/libpthread-stubs/APKBUILD
+++ b/main/libpthread-stubs/APKBUILD
@@ -9,8 +9,15 @@ license="X11"
depends=
source="http://xcb.freedesktop.org/dist/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/libtasn1/APKBUILD b/main/libtasn1/APKBUILD
index 72bdfa6956..2fc08e73da 100644
--- a/main/libtasn1/APKBUILD
+++ b/main/libtasn1/APKBUILD
@@ -13,6 +13,12 @@ install=
source="ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz"
_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
cd "$_builddir"
./configure \
diff --git a/main/libvorbis/APKBUILD b/main/libvorbis/APKBUILD
index 8224b0a28a..65fc02151f 100644
--- a/main/libvorbis/APKBUILD
+++ b/main/libvorbis/APKBUILD
@@ -13,9 +13,15 @@ makedepends="$depends_dev"
#source="http://people.xiph.org/~giles/2008/$pkgname-$pkgver.tar.gz"
source="http://downloads.xiph.org/releases/vorbis/libvorbis-$pkgver.tar.gz"
-build ()
-{
- cd "$srcdir"/$pkgname-$pkgver
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
+build() {
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/libxcomposite/APKBUILD b/main/libxcomposite/APKBUILD
index 1b891c4b49..eda8a5bd45 100644
--- a/main/libxcomposite/APKBUILD
+++ b/main/libxcomposite/APKBUILD
@@ -8,11 +8,17 @@ arch="all"
license="custom"
subpackages="$pkgname-dev $pkgname-doc"
depends=
+depends_dev="xproto compositeproto libxfixes-dev libx11-dev libxext-dev"
makedepends="pkgconfig libxfixes-dev libxext-dev compositeproto"
source="http://xorg.freedesktop.org//releases/individual/lib/libXcomposite-$pkgver.tar.bz2"
-depends_dev="xproto compositeproto libxfixes-dev libx11-dev libxext-dev"
_builddir="$srcdir"/libXcomposite-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
cd "$_builddir"
./configure \
diff --git a/main/libxdamage/APKBUILD b/main/libxdamage/APKBUILD
index 0ddd9126a9..39d328bbca 100644
--- a/main/libxdamage/APKBUILD
+++ b/main/libxdamage/APKBUILD
@@ -7,13 +7,20 @@ url="http://xorg.freedesktop.org/"
arch="all"
license="custom"
depends=
+depends_dev="xproto damageproto libxfixes-dev libx11-dev fixesproto"
makedepends="pkgconfig libxfixes-dev damageproto xextproto"
subpackages="$pkgname-dev"
source="http://xorg.freedesktop.org/releases/individual/lib/libXdamage-$pkgver.tar.bz2"
-depends_dev="xproto damageproto libxfixes-dev libx11-dev fixesproto"
+_builddir="$srcdir/libXdamage-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/libXdamage-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/libxdmcp/APKBUILD b/main/libxdmcp/APKBUILD
index b63883dd0e..e269ab340f 100644
--- a/main/libxdmcp/APKBUILD
+++ b/main/libxdmcp/APKBUILD
@@ -11,8 +11,15 @@ makedepends="xproto pkgconfig"
subpackages="$pkgname-dev"
source="http://xorg.freedesktop.org/releases/individual/lib/libXdmcp-$pkgver.tar.bz2"
+_builddir="$srcdir/libXdmcp-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/libXdmcp-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/libxft/APKBUILD b/main/libxft/APKBUILD
index 83776140e0..7c837033b3 100644
--- a/main/libxft/APKBUILD
+++ b/main/libxft/APKBUILD
@@ -12,8 +12,15 @@ depends_dev="xproto libxrender-dev fontconfig-dev freetype-dev zlib-dev"
makedepends="$depends_dev"
source="http://xorg.freedesktop.org/releases/individual/lib/libXft-$pkgver.tar.bz2"
+_builddir="$srcdir/libXft-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build () {
- cd "$srcdir"/libXft-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/libxkbui/APKBUILD b/main/libxkbui/APKBUILD
index 021f799c17..2e516f457b 100644
--- a/main/libxkbui/APKBUILD
+++ b/main/libxkbui/APKBUILD
@@ -15,7 +15,7 @@ source="http://xorg.freedesktop.org/releases/individual/lib/$pkgname-$pkgver.tar
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
- update_config_sub
+ update_config_sub || return 1
}
build () {
diff --git a/main/libxslt/APKBUILD b/main/libxslt/APKBUILD
index 1b7fd68fff..49c037775b 100644
--- a/main/libxslt/APKBUILD
+++ b/main/libxslt/APKBUILD
@@ -14,6 +14,7 @@ source="ftp://xmlsoft.org/$pkgname/$pkgname-$pkgver.tar.gz"
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
+ update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
diff --git a/main/lzo/APKBUILD b/main/lzo/APKBUILD
index c522e773a5..e58bb7b53f 100644
--- a/main/lzo/APKBUILD
+++ b/main/lzo/APKBUILD
@@ -13,9 +13,15 @@ install=
subpackages="$pkgname-dev"
source="http://www.oberhumer.com/opensource/lzo/download/$pkgname-$pkgver.tar.gz"
-build() {
- cd "$srcdir/$pkgname-$pkgver"
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
+build() {
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/mtools/APKBUILD b/main/mtools/APKBUILD
index c04f3c7218..fa4dfc04f5 100644
--- a/main/mtools/APKBUILD
+++ b/main/mtools/APKBUILD
@@ -11,8 +11,14 @@ makedepends="texinfo"
source="ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.bz2"
subpackages="$pkgname-doc"
-build () {
- cd $srcdir/$pkgname-$pkgver
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
+build() {
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/nettle/APKBUILD b/main/nettle/APKBUILD
index 236636e0ab..baf7e49897 100644
--- a/main/nettle/APKBUILD
+++ b/main/nettle/APKBUILD
@@ -19,6 +19,7 @@ _builddir="$srcdir"/$pkgname-$pkgver
prepare() {
local i
cd "$_builddir"
+ update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
diff --git a/main/openntpd/APKBUILD b/main/openntpd/APKBUILD
index 17058391ce..0b88c56608 100644
--- a/main/openntpd/APKBUILD
+++ b/main/openntpd/APKBUILD
@@ -23,7 +23,7 @@ prepare() {
cd "$srcdir/$pkgname-$_myver"
patch -p1 < ../openntpd-3.9p1_reconnect_on_sendto_EINVAL.diff
sed -i '/NTPD_USER/s:_ntp:ntp:' ntpd.h || return 1
- update_config_sub
+ update_config_sub || return 1
}
build() {
diff --git a/main/openvpn-auth-ldap/APKBUILD b/main/openvpn-auth-ldap/APKBUILD
index 18cffc0cbe..c0bfb49593 100644
--- a/main/openvpn-auth-ldap/APKBUILD
+++ b/main/openvpn-auth-ldap/APKBUILD
@@ -20,7 +20,7 @@ prepare() {
cd "$_builddir"
# apply patches here
sed -i -e '/<objc\/objc-api.h>/d' configure
- update_config_sub
+ update_config_sub || return 1
}
build() {
diff --git a/main/orbit2/APKBUILD b/main/orbit2/APKBUILD
index fdca00968f..b992e724bf 100644
--- a/main/orbit2/APKBUILD
+++ b/main/orbit2/APKBUILD
@@ -19,6 +19,7 @@ _builddir="${srcdir}/ORBit2-${pkgver}"
prepare() {
local i
cd "$_builddir"
+ update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
diff --git a/main/pixman/APKBUILD b/main/pixman/APKBUILD
index 0c0bc912cc..736789bb95 100644
--- a/main/pixman/APKBUILD
+++ b/main/pixman/APKBUILD
@@ -11,8 +11,15 @@ depends=
makedepends="perl"
source="http://xorg.freedesktop.org/releases/individual/lib/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/polkit/APKBUILD b/main/polkit/APKBUILD
index a4b8ab0206..8e99a7dfad 100644
--- a/main/polkit/APKBUILD
+++ b/main/polkit/APKBUILD
@@ -22,6 +22,7 @@ _builddir="$srcdir"/polkit-$pkgver
prepare() {
cd "$_builddir"
+ update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
diff --git a/main/poppler/APKBUILD b/main/poppler/APKBUILD
index ab84865354..7911aecf97 100644
--- a/main/poppler/APKBUILD
+++ b/main/poppler/APKBUILD
@@ -17,8 +17,15 @@ depends=
depends_dev="cairo-dev"
source="http://$pkgname.freedesktop.org/$pkgname-$pkgver.tar.gz"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/psqlodbc/APKBUILD b/main/psqlodbc/APKBUILD
index baba109fea..c968f5e8ad 100644
--- a/main/psqlodbc/APKBUILD
+++ b/main/psqlodbc/APKBUILD
@@ -15,7 +15,7 @@ _builddir="$srcdir/$pkgname-$pkgver"
prepare() {
cd "$_builddir"
- update_config_sub
+ update_config_sub || return 1
}
build() {
diff --git a/main/randrproto/APKBUILD b/main/randrproto/APKBUILD
index dd1965f0a5..c8d73b1e6f 100644
--- a/main/randrproto/APKBUILD
+++ b/main/randrproto/APKBUILD
@@ -10,8 +10,15 @@ depends=""
makedepends=""
source="http://xorg.freedesktop.org/releases/individual/proto/$pkgname-$pkgver.tar.bz2"
-build () {
- cd "$srcdir"/$pkgname-$pkgver
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
+build() {
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/rarian/APKBUILD b/main/rarian/APKBUILD
index 635f32f03a..4f594d846e 100644
--- a/main/rarian/APKBUILD
+++ b/main/rarian/APKBUILD
@@ -12,10 +12,16 @@ makedepends="libxslt-dev"
source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/0.8/$pkgname-$pkgver.tar.bz2
user-segfault.patch"
-build ()
-{
- cd "$srcdir"/$pkgname-$pkgver
+_builddir=""$srcdir/$pkgname-$pkgver""
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
patch -p0 -i "$srcdir"/user-segfault.patch || return 1
+}
+
+build() {
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/rdesktop/APKBUILD b/main/rdesktop/APKBUILD
index f9a03b949a..37ccdf59e2 100644
--- a/main/rdesktop/APKBUILD
+++ b/main/rdesktop/APKBUILD
@@ -14,7 +14,7 @@ source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
prepare() {
cd "$srcdir"/$pkgname-$pkgver
- update_config_sub
+ update_config_sub || return 1
}
build() {
diff --git a/main/renderproto/APKBUILD b/main/renderproto/APKBUILD
index 8fee739833..cecdb3d493 100644
--- a/main/renderproto/APKBUILD
+++ b/main/renderproto/APKBUILD
@@ -11,14 +11,25 @@ makedepends=""
subpackages="$pkgname-doc"
source="http://xorg.freedesktop.org/releases/individual/proto/$pkgname-$pkgver.tar.bz2"
-build () {
- cd "$srcdir"/$pkgname-$pkgver
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
+build() {
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
--prefix=/usr \
|| return 1
make || return 1
+}
+
+package() {
+ cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
}
diff --git a/main/slang/APKBUILD b/main/slang/APKBUILD
index 7f13a9f0f3..1764873678 100644
--- a/main/slang/APKBUILD
+++ b/main/slang/APKBUILD
@@ -15,6 +15,7 @@ source="ftp://ftp.fu-berlin.de/pub/unix/misc/$pkgname/v${pkgver%.*}/$pkgname-$pk
prepare () {
cd "$srcdir"/$pkgname-$pkgver
+ update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
diff --git a/main/spandsp/APKBUILD b/main/spandsp/APKBUILD
index de0c7426e7..0c23f42e3a 100644
--- a/main/spandsp/APKBUILD
+++ b/main/spandsp/APKBUILD
@@ -17,6 +17,11 @@ source="http://www.soft-switch.org/downloads/spandsp/$pkgname-$_ver.tgz"
_builddir="$srcdir"/$pkgname-0.0.6
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
cd "$_builddir"
./configure \
diff --git a/main/speex/APKBUILD b/main/speex/APKBUILD
index f9ac9b6434..d98caf782c 100644
--- a/main/speex/APKBUILD
+++ b/main/speex/APKBUILD
@@ -16,6 +16,7 @@ source="http://downloads.xiph.org/releases/speex/speex-$_ver.tar.gz"
_builddir="$srcdir"/$pkgname-$_ver
prepare() {
cd "$_builddir"
+ update_config_sub || return 1
}
build() {
diff --git a/main/squid/APKBUILD b/main/squid/APKBUILD
index e36359b138..52c189573f 100644
--- a/main/squid/APKBUILD
+++ b/main/squid/APKBUILD
@@ -38,7 +38,7 @@ prepare() {
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
esac
done
- update_config_sub
+ update_config_sub || return 1
}
build() {
diff --git a/main/strace/APKBUILD b/main/strace/APKBUILD
index 58bb8fc3b1..9110f45985 100644
--- a/main/strace/APKBUILD
+++ b/main/strace/APKBUILD
@@ -43,8 +43,8 @@ package() {
make -j1 DESTDIR="$pkgdir" install
}
md5sums="c575ef43829586801f514fd91bfe7575 strace-4.8.tar.xz
-fc85884e1534d30fa9f1e40d7d4cea3a strace-musl.patch"
+1900bed9f95797239b3f5d9e0edab766 strace-musl.patch"
sha256sums="f492291f07a7c805c07a8395cce1ea054a6401ad414f4cc12185672215e1d7f8 strace-4.8.tar.xz
-40415d739a86b300f93deead48fe08e0cc79bc7af9f3575b151c5b84b6619848 strace-musl.patch"
+990b4631b6337495466a26a9842d7563d281b3074ed490128a23b08af3c9e338 strace-musl.patch"
sha512sums="c3316382f60cd4d02eec1eef46a0ef2d000afbccf2c176a6fec652e1b3391685f0e33f184497cb3ccf54d72d460471a4945d3a864fb5bce1f45f32fdf132cfe3 strace-4.8.tar.xz
-e8b1d7eb5be1779492a3633d8559d7c17bb1fb185068a0ec21c3d451ba048ca9813a93a46d1abadbc4231ef00feb72b6b72c56dd0621ede2d64a9789c5e74507 strace-musl.patch"
+60700c15b26fa7d3c091fa4fff7dee3827d3b224cc5c5bbc3a88748055c50d7fe17a3bf8b6f4ba417001b445ab91615b803e48313a4f53fa2a0774cc23348b97 strace-musl.patch"
diff --git a/main/strace/strace-musl.patch b/main/strace/strace-musl.patch
index 746d9cb6a9..e5a211a17d 100644
--- a/main/strace/strace-musl.patch
+++ b/main/strace/strace-musl.patch
@@ -160,7 +160,7 @@ diff -ru strace-4.8.orig/time.c strace-4.8/time.c
+#if defined(__GLIBC__)
tprintf("{%d}", sev._sigev_un._pad[0]);
+#else
-+ tprintf("{%d}", (int) sev._pad[0]);
++ tprintf("{%d}", (int) sev.__pad[0]);
+#endif
else if (sev.sigev_notify == SIGEV_THREAD)
tprintf("{%p, %p}", sev.sigev_notify_function,
diff --git a/main/sysfsutils/APKBUILD b/main/sysfsutils/APKBUILD
index d1c115a227..00d79ee084 100644
--- a/main/sysfsutils/APKBUILD
+++ b/main/sysfsutils/APKBUILD
@@ -14,7 +14,7 @@ source="http://downloads.sourceforge.net/sourceforge/linux-diag/$pkgname-$pkgver
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
- update_config_sub
+ update_config_sub || return 1
}
build() {
diff --git a/main/tiff/APKBUILD b/main/tiff/APKBUILD
index 1785706348..7244a35a36 100644
--- a/main/tiff/APKBUILD
+++ b/main/tiff/APKBUILD
@@ -23,7 +23,7 @@ _builddir="$srcdir"/$pkgname-$pkgver
prepare() {
local _failed=
cd "$_builddir"
-
+ update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || _failed="$_failed $i";;
diff --git a/main/umix/APKBUILD b/main/umix/APKBUILD
index 7200cd0ef7..fc5fbe5477 100644
--- a/main/umix/APKBUILD
+++ b/main/umix/APKBUILD
@@ -16,7 +16,7 @@ source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
_builddir="$srcdir"/umix-$pkgver
prepare() {
cd "$_builddir"
- update_config_sub
+ update_config_sub || return 1
}
build() {
diff --git a/main/unixodbc/APKBUILD b/main/unixodbc/APKBUILD
index 0b0ceadda6..c636103b36 100644
--- a/main/unixodbc/APKBUILD
+++ b/main/unixodbc/APKBUILD
@@ -14,6 +14,11 @@ source="http://www.unixodbc.org/unixODBC-${pkgver}.tar.gz"
_builddir="$srcdir/unixODBC-$pkgver"
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
cd "$_builddir"
diff --git a/main/userspace-rcu/APKBUILD b/main/userspace-rcu/APKBUILD
index cfad28a052..18cc9d1bc9 100644
--- a/main/userspace-rcu/APKBUILD
+++ b/main/userspace-rcu/APKBUILD
@@ -18,6 +18,7 @@ _builddir="$srcdir"/$pkgname-$pkgver
prepare() {
local i
cd "$_builddir"
+ update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
diff --git a/main/wget/APKBUILD b/main/wget/APKBUILD
index 204536e705..1c239821e7 100644
--- a/main/wget/APKBUILD
+++ b/main/wget/APKBUILD
@@ -14,6 +14,11 @@ install="wget.post-deinstall"
source="ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz"
_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
cd "$_builddir"
./configure \
@@ -32,6 +37,10 @@ build() {
package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
+
+ rm -rf "$pkgdir"/usr/lib/charset.alias
+ rmdir -p "$pkgdir"/usr/lib 2>/dev/null
+ return 0
}
md5sums="12edc291dba8127f2e9696e69f36299e wget-1.14.tar.gz"
diff --git a/main/xbitmaps/APKBUILD b/main/xbitmaps/APKBUILD
index c2e8f41600..15ab7eceb0 100644
--- a/main/xbitmaps/APKBUILD
+++ b/main/xbitmaps/APKBUILD
@@ -10,8 +10,15 @@ depends="util-macros"
makedepends="pkgconfig"
source="http://xorg.freedesktop.org/releases/individual/data/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/xcb-util/APKBUILD b/main/xcb-util/APKBUILD
index 4b0b2a6d45..bf53da7a20 100644
--- a/main/xcb-util/APKBUILD
+++ b/main/xcb-util/APKBUILD
@@ -12,8 +12,15 @@ depends_dev="libxcb-dev"
makedepends="m4 $depends_dev gperf pkgconfig"
source="http://xcb.freedesktop.org/dist/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/xextproto/APKBUILD b/main/xextproto/APKBUILD
index 5e720959ec..a2924c30b2 100644
--- a/main/xextproto/APKBUILD
+++ b/main/xextproto/APKBUILD
@@ -10,8 +10,15 @@ depends=""
makedepends=""
source="http://xorg.freedesktop.org/releases/individual/proto/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/xproto/APKBUILD b/main/xproto/APKBUILD
index 13cdcb0fd7..5138deb7be 100644
--- a/main/xproto/APKBUILD
+++ b/main/xproto/APKBUILD
@@ -14,6 +14,11 @@ source="http://xorg.freedesktop.org/releases/individual/proto/$pkgname-$pkgver.t
_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
cd "$_builddir"
./configure \
diff --git a/main/xset/APKBUILD b/main/xset/APKBUILD
index 5ca771c77d..51833038f2 100644
--- a/main/xset/APKBUILD
+++ b/main/xset/APKBUILD
@@ -11,8 +11,15 @@ depends=
makedepends="pkgconfig libxmu-dev libx11-dev libxext-dev"
source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/xsetroot/APKBUILD b/main/xsetroot/APKBUILD
index 928981be48..6e8ed95ab5 100644
--- a/main/xsetroot/APKBUILD
+++ b/main/xsetroot/APKBUILD
@@ -11,8 +11,15 @@ depends=
makedepends="pkgconfig libx11-dev libxmu-dev xbitmaps"
source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/xtrans/APKBUILD b/main/xtrans/APKBUILD
index 82fa1fc964..5773dd46a6 100644
--- a/main/xtrans/APKBUILD
+++ b/main/xtrans/APKBUILD
@@ -10,8 +10,15 @@ depends=""
makedepends=""
source="http://xorg.freedesktop.org/releases/individual/lib/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
diff --git a/main/yaml/APKBUILD b/main/yaml/APKBUILD
index 0be218f4bb..0121d9cf6f 100644
--- a/main/yaml/APKBUILD
+++ b/main/yaml/APKBUILD
@@ -17,6 +17,7 @@ _builddir="$srcdir"/yaml-$pkgver
prepare() {
local i
cd "$_builddir"
+ update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
diff --git a/main/yasm/APKBUILD b/main/yasm/APKBUILD
index 6ff4b75731..c4fbbe6bb4 100644
--- a/main/yasm/APKBUILD
+++ b/main/yasm/APKBUILD
@@ -14,7 +14,7 @@ source="http://www.tortall.net/projects/$pkgname/releases/$pkgname-$pkgver.tar.g
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
- update_config_sub
+ update_config_sub || return 1
}
build() {